# Uses of Enum Class
java.lang.classfile.ClassFile.DeadCodeOption

Packages that use ClassFile.DeadCodeOption
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile.DeadCodeOption in java.lang.classfile

Subclasses with type arguments of type ClassFile.DeadCodeOption in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`ClassFile.DeadCodeOption`
The option describing whether to patch out unreachable code for stack map generation.
Methods in java.lang.classfile that return ClassFile.DeadCodeOption
Modifier and Type
Method
Description
`static ClassFile.DeadCodeOption`
ClassFile.DeadCodeOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassFile.DeadCodeOption[]`
ClassFile.DeadCodeOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.